View Issue Details

IDCategoryLast Update
0003243features2014-12-29 00:26
ReporterdanboidAssigned Todrobilla 
ReproducibilityN/A 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003243: Velocity Slider
DescriptionUnder A3 7255, any MIDI note inserted via the Draw/Edit MIDI note tool is given the sensible default velocity of 64- if you want any other note you have to adjust it afterwards. There just so happens to be a gap just wide and tall enough on a fully expanded (ie when the channel selection matrix pops up) A3 MIDI track to nicely accommodate a slider that could be used the set the velocity of any note created with the mouse.
TagsNo tags attached.

Relationships

related to 0004324 resolveddrobilla A3 should have MIDI velocity editing facilities 

Activities

naught101

2014-12-23 14:16

reporter   ~0016077

Probably a better UI: http://tracker.ardour.org/view.php?id=5608

drobilla

2014-12-29 00:22

developer   ~0016132

... that "better UI" isn't for the same thing.

drobilla

2014-12-29 00:26

developer   ~0016133

Thinking about this, I thought of something a bit different: basing the inserted note's velocity on the previous note's. Then I realized it could interpolate between the previous and next note's, to fit in with the dynamics of the section, so did that.

It seems pretty good in a "usually do the right thing" sense, and certainly beats twiddling a slider for the common case. You can sort of treat the first inserted note as such a slider and get the same behavior.

So, I'm going to presumptuously read this ticket as "no good way to set the velocity of inserted notes" rather than literally requiring a slider in the header, and close it. Feel free to reopen with commentary if you disagree or think of improvements.

Issue History

Date Modified Username Field Change
2010-06-15 19:52 danboid New Issue
2010-07-21 02:28 cth103 cost => 0.00
2010-07-21 02:28 cth103 Target Version => 3.X
2014-12-23 14:16 naught101 Note Added: 0016077
2014-12-26 09:10 x42 Relationship added related to 0004324
2014-12-29 00:22 drobilla Note Added: 0016132
2014-12-29 00:26 drobilla Note Added: 0016133
2014-12-29 00:26 drobilla Assigned To => drobilla
2014-12-29 00:26 drobilla Status new => resolved
2014-12-29 00:26 drobilla Resolution open => fixed